<?php

	$home_gardening_pix_theme_css = "";


	// site title and tagline font size option
	$home_gardening_site_title_font_size = get_theme_mod('home_gardening_site_title_font_size', 20);{
		$home_gardening_pix_theme_css .='h1.site-title a {';
	$home_gardening_pix_theme_css .='font-size: '.esc_attr($home_gardening_site_title_font_size).'px;!important';
		$home_gardening_pix_theme_css .='}';
	}

	// site title and tagline font size option
	$home_gardening_site_tagline_font_size = get_theme_mod('home_gardening_site_tagline_font_size', 15);{
		$home_gardening_pix_theme_css .='p.site-description {';
	$home_gardening_pix_theme_css .='font-size: '.esc_attr($home_gardening_site_tagline_font_size).'px;!important';
		$home_gardening_pix_theme_css .='}';
	}

	//Font Weight
	$home_gardening_menu_font_weight = get_theme_mod( 'home_gardening_menu_font_weight','');
	if($home_gardening_menu_font_weight == '100'){
	$home_gardening_pix_theme_css .='.nav_menu li a {';
		$home_gardening_pix_theme_css .='font-weight: 100;';
	$home_gardening_pix_theme_css .='}';
	}else if($home_gardening_menu_font_weight == '200'){
	$home_gardening_pix_theme_css .='.nav_menu li a {';
		$home_gardening_pix_theme_css .='font-weight: 200;';
	$home_gardening_pix_theme_css .='}';
	}else if($home_gardening_menu_font_weight == '300'){
	$home_gardening_pix_theme_css .='.nav_menu li a {';
		$home_gardening_pix_theme_css .='font-weight: 300;';
	$home_gardening_pix_theme_css .='}';
	}else if($home_gardening_menu_font_weight == '400'){
	$home_gardening_pix_theme_css .='.nav_menu li a {';
		$home_gardening_pix_theme_css .='font-weight: 400;';
	$home_gardening_pix_theme_css .='}';
	}else if($home_gardening_menu_font_weight == '500'){
	$home_gardening_pix_theme_css .='.nav_menu li a {';
		$home_gardening_pix_theme_css .='font-weight: 500;';
	$home_gardening_pix_theme_css .='}';
	}else if($home_gardening_menu_font_weight == '600'){
	$home_gardening_pix_theme_css .='.nav_menu li a {';
		$home_gardening_pix_theme_css .='font-weight: 600;';
	$home_gardening_pix_theme_css .='}';
	}else if($home_gardening_menu_font_weight == '700'){
	$home_gardening_pix_theme_css .='.nav_menu li a {';
		$home_gardening_pix_theme_css .='font-weight: 700;';
	$home_gardening_pix_theme_css .='}';
	}else if($home_gardening_menu_font_weight == '800'){
	$home_gardening_pix_theme_css .='.nav_menu li a {';
		$home_gardening_pix_theme_css .='font-weight: 800;';
	$home_gardening_pix_theme_css .='}';
	}else if($home_gardening_menu_font_weight == '900'){
	$home_gardening_pix_theme_css .='.nav_menu li a {';
		$home_gardening_pix_theme_css .='font-weight: 900;';
	$home_gardening_pix_theme_css .='}';
	}

	// menu text transform
	$home_gardening_menu_text_tranform = get_theme_mod( 'home_gardening_menu_text_tranform','Capitalize');
	if($home_gardening_menu_text_tranform == 'Uppercase'){
	$home_gardening_pix_theme_css .='.nav_menu li a  {';
		$home_gardening_pix_theme_css .='text-transform: uppercase;';
	$home_gardening_pix_theme_css .='}';
	}else if($home_gardening_menu_text_tranform == 'Lowercase'){
	$home_gardening_pix_theme_css .='.nav_menu li a  {';
		$home_gardening_pix_theme_css .='text-transform: lowercase;';
	$home_gardening_pix_theme_css .='}';
	}
	else if($home_gardening_menu_text_tranform == 'Capitalize'){
	$home_gardening_pix_theme_css .='.nav_menu li a  {';
		$home_gardening_pix_theme_css .='text-transform: capitalize;';
	$home_gardening_pix_theme_css .='}';
	}

	//menu font size
	$home_gardening_menu_font_size = get_theme_mod('home_gardening_menu_font_size', 16);{
	$home_gardening_pix_theme_css .='.nav_menu li a ,.main-navigation li.page_item_has_children:after, .main-navigation li.menu-item-has-children:after{';
		$home_gardening_pix_theme_css .='font-size: '.esc_attr($home_gardening_menu_font_size).'px;';
	$home_gardening_pix_theme_css .='}';
	}

	//Add Settings and Controls for copyright
	$home_gardening_copyright_text_position = get_theme_mod( 'home_gardening_copyright_text_position','Center');
	if($home_gardening_copyright_text_position == 'Right'){
	$home_gardening_pix_theme_css .='.bottom-footer{';
	    $home_gardening_pix_theme_css .='text-align: right;';
	$home_gardening_pix_theme_css .='}';
	}else if($home_gardening_copyright_text_position == 'Left'){
	$home_gardening_pix_theme_css .='.bottom-footer{';
	    $home_gardening_pix_theme_css .='text-align: left;';
	$home_gardening_pix_theme_css .='}';
	}else if($home_gardening_copyright_text_position == 'Center'){
	$home_gardening_pix_theme_css .='.bottom-footer{';
	    $home_gardening_pix_theme_css .='text-align: center;';
	$home_gardening_pix_theme_css .='}';
	}

	//Add Settings and Controls for Scroll top
	$home_gardening_scroll_top_position = get_theme_mod( 'home_gardening_scroll_top_position','Right');
	if($home_gardening_scroll_top_position == 'Right'){
	$home_gardening_pix_theme_css .='#return-to-top{';
	    $home_gardening_pix_theme_css .='right: 20px;';
	$home_gardening_pix_theme_css .='}';
	}else if($home_gardening_scroll_top_position == 'Left'){
	$home_gardening_pix_theme_css .='#return-to-top{';
	    $home_gardening_pix_theme_css .='left: 20px;';
	$home_gardening_pix_theme_css .='}';
	}else if($home_gardening_scroll_top_position == 'Center'){
	$home_gardening_pix_theme_css .='#return-to-top{';
	    $home_gardening_pix_theme_css .='right: 50%;left: 50%;';
	$home_gardening_pix_theme_css .='}';
	}


	// footer widget option 

	//footer image
	$home_gardening_footer_widget_image = get_theme_mod('home_gardening_footer_widget_image');
	if($home_gardening_footer_widget_image != false){
	$home_gardening_pix_theme_css .='.top-footer{';
		$home_gardening_pix_theme_css .='background: url('.esc_attr($home_gardening_footer_widget_image).');';
	$home_gardening_pix_theme_css .='}';
	}

	// footer color option
	$home_gardening_pixel_footer_bg_color_option = get_theme_mod('home_gardening_pixel_footer_bg_color_option');


	if($home_gardening_pixel_footer_bg_color_option != false){
	$home_gardening_pix_theme_css .='.top-footer{';
		$home_gardening_pix_theme_css .='background: '.esc_attr($home_gardening_pixel_footer_bg_color_option).';';
	$home_gardening_pix_theme_css .='}';
	}


	// footer widget option 


	$home_gardening_footer_widget_background_color = get_theme_mod('home_gardening_footer_widget_background_color');
	if ($home_gardening_footer_widget_background_color) {
		$home_gardening_pix_theme_css .= "
			.top-footer {
				background-color: ". esc_attr($home_gardening_footer_widget_background_color) .";
			}
		";
	}

	$home_gardening_footer_copyright_background_color = get_theme_mod('home_gardening_footer_copyright_background_color');
	if ($home_gardening_footer_copyright_background_color) {
		$home_gardening_pix_theme_css .= "
			.bottom-footer {
				background-color: ". esc_attr($home_gardening_footer_copyright_background_color) .";
			}
		";
	}

	$home_gardening_footer_widget_background_image = get_theme_mod('home_gardening_footer_widget_background_image');
	if ($home_gardening_footer_widget_background_image) {
		$home_gardening_pix_theme_css .= "
			.top-footer {
				background-image: url(" . esc_url($home_gardening_footer_widget_background_image) . ");
			}
		";
	}